FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::ProcedureDesignator Struct Reference

## Public Member Functions
| ProcedureDesignator (SpecificIntrinsic &&i)
| ProcedureDesignator (const Symbol &n)
| ProcedureDesignator (Component &&)
const SpecificIntrinsic * | GetSpecificIntrinsic () const
const Symbol * | GetSymbol () const
const Component * | GetComponent () const
const Symbol * | GetInterfaceSymbol () const
std::string | GetName () const
std::optional< DynamicType > | GetType () const
int | Rank () const
bool | IsElemental () const
std::optional< Expr< SubscriptInteger > > | LEN () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Public Attributes
std::variant< SpecificIntrinsic, SymbolRef, common::CopyableIndirection< Component > > | u

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/call.h
- lib/Evaluate/call.cpp
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp